﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseGoogleYahooWms.aspx.cs"
    Inherits="CSSamples.UseGoogleYahooWms" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
 <html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use Google/Yahoo/Virtual Earth etc...</title>

    <script type="text/javascript">
    function Page_Load(){
        Page.ClientScript.RegisterStartupScript(GetType(), "AddAnotherMarker", "openMarker();", true);
    }
        var tgMap = null;
        var dynamicPanel = null;
        var prefixOfButton = 'OverlayerSwitcher_Input_';

        var OnMapCreated = function (map) {
            tgMap = map;
            dynamicPanel = $get('dynamicPanel');
            var layer = tgMap.getLayer('WorldOverlay');
        };


        function test() {
            var layer = tgMap.getLayer('WorldOverlay');
//            alert(layer.visibility);
            layer.display(false);
//            layer.visibility = false;
            callServer('123');
        }
         function callServer(param){
            <%= ClientScript.GetCallbackEventReference(this, "param", "receiveServerData", null)%>;
        }
        function receiveServerData(columnValue){
//            alert(columnValue);
//            layer.display(false);
              openMarker();
        }
         function mapClientClick(e){
            var map = Map1.GetOpenLayersMap();
            var screenPoint = new OpenLayers.Pixel(e.xy.x, e.xy.y);
            var mapPoint = map.getLonLatFromViewPortPx(screenPoint);
            callServer('^'+mapPoint.lon + ','+mapPoint.lat);
        }
        function openMarker(){
            Map1.SetDrawMode('Point');
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="Map1_Script" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%" 
                onclick="Map1_Click">
            </cc1:Map>
        </ContentTemplate>
    </asp:UpdatePanel>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        <div id="dynamicPanel">
            <input type="button" id="Button1" value="AjaxHide" onclick="test();" />
        <asp:Button ID="Button2" runat="server" Text="ServerHide" onclick="Button2_Click" />

        </div>
    </Description:DescriptionPanel>
    </form>
</body>
</html>
